INSTALL(1)

NAME
install - install binaries

SYNOPSIS
install [-cs] [-f flags] [-g group] [-m mode] [-o owner] file1 file2
install [-Ccdps] [-f flags] [-g group] [-m mode] [-o owner] file1 ... fileN directory

DESCRIPTION
The file(s) are moved (or copied if the -c option is specified) to the target file or directory. If the destination is a directory, then the file is moved into directory with its original filename. If the target file already exists, it is overwritten if permissions allow.

-C. Copy the file, as if the -c option is specified, except if the target file already exists and the files are the same, then don't change the modification time of the target

-c  Copy the file. This flag turns off the default behavior of install where it deletes the original file after creating the target.

-d  Print debugging information. If -d is specified one or more times, then print the renaming steps for -C. If -d is specified two or more times, then warn about files that aren't installed with -C.

-f  Specify the target's file flags. (See chflags(1) for a list of possible flags and their meanings.)

-g  Specify a group.

-m  Specify an alternate mode. The default mode is set to rwxr-xr-x (0755). The specified mode may be either an octal or symbolic value; see chmod(1) for a description of possible mode values.

-o  Specify an owner.

-p  Preserve the modification time. Copy the file, as if the -C (Compare and copy) option is specified, except if the target file doesn't already exist or is different, then preserve the modification time of the file.

-s  Install exec's the command strip(1) to strip binaries so that install can be portable over a large number of systems and binary types.

By default, install preserves all file flags, with the exception of the ``nodump'' flag.

The install utility attempts to prevent moving a file onto itself.

Installing /dev/null creates an empty file.

Upon successful completion a value of 0 is returned. Otherwise, a value of 1 is returned.

FILES
INS@XXXX
    If the -C or -p option is used, then temporary files named INS@XXXX, where XXXX is decided by mkstemp(3), are created in the target directory.

SEE ALSO
chflags(1), chgrp(1), chmod(1), cp(1), mv(1), strip(1), chown(8)

HISTORY
The install utility appeared in 4.2BSD.

BUGS
Temporary files may be left in the target directory if install exits abnormally.